package com.mortals.xhx.module.basics.web;

import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.basics.model.BasicsInfoEntity;
import com.mortals.xhx.module.basics.model.BasicsInfoQuery;

/**
* <p>Title: 一件事基础表</p>
* <p>Description: BasicsInfoForm  </p>
* @author
* @version 1.0.0
*/
public class BasicsInfoForm extends BaseCRUDFormLong<BasicsInfoEntity> {
    private BasicsInfoEntity entity = new BasicsInfoEntity();
    private BasicsInfoQuery query = new BasicsInfoQuery();
    public BasicsInfoForm(){

    }

    @Override
    public BasicsInfoEntity getEntity() {
    return entity;
    }

    public void setBasicsInfo(BasicsInfoEntity entity) {
    this.entity = entity;
    }

    @Override
    public BasicsInfoQuery getQuery() {
    return query;
    }

    public void setQuery(BasicsInfoQuery query) {
    this.query = query;
    }
}